Skip to main content
GET
/
webhook-subscriptions
List webhook subscriptions
using RestSharp;


var options = new RestClientOptions("https://api.sandbox.{id}.gr4vy.app/webhook-subscriptions");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
{
  "items": [
    {
      "type": "webhook-subscription",
      "id": "8fd77b13-a5e3-43de-bd54-26a8a714ac18",
      "merchant_account_id": "default",
      "active": true,
      "url": "https://example.com/webhooks",
      "authentication": {
        "kind": "basic",
        "username": "username",
        "password": "password"
      },
      "secret": "234567890abcdef1234567890abcdef",
      "rotating": false
    }
  ],
  "limit": 1,
  "next_cursor": "ZXhhbXBsZTE",
  "previous_cursor": null
}
This endpoint requires the webhook-subscriptions.read scope.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Gr4vy-Merchant-Account-ID
string

The ID of the merchant account to act upon. When not or provided, this value will default to the first merchant account a user has access to. This value can be set to * on some APIs to fetch resources from all merchant accounts.

Maximum string length: 255
Example:

"default"

Response

Returns a list of webhook subscriptions.

items
Webhook subscription · object[]

A list of webhook subscriptions.

limit
integer<int32>
default:20

The limit applied to request. This represents the number of items that are at maximum returned by this request.

Required range: 1 <= x <= 100
Example:

1

next_cursor
string | null

The cursor that represents the next page of results. Use the cursor query parameter to fetch this page of items.

Required string length: 1 - 1000
Example:

"ZXhhbXBsZTE"

previous_cursor
string | null

The cursor that represents the next page of results. Use the cursor query parameter to fetch this page of items.

Required string length: 1 - 1000
Example:

null